import java.awt.*;
import java.applet.*;
public class worldTest
{
    /*________________________________
    ___________Variable_____________*/
    //functor
    pigFunc pig = new pigFunc();
    worldFunc w = new worldFunc();
    
    //constant
    int maxAtoms = 500;
	float deltaT = 0.001f;
    
    world U = new world(maxAtoms, new vector(400,70), new vector(340,450));

    /*________________________________
    ___________Initialisation_______*/
    public void initialize() 
    {
        for (int i=0;i<1;i++)
        {
            U.append(new atom(760, 80, 60, 20));
        }
		for (int i=1;i<2;i++)
        {
            U.append(new atom(700, 80, 30, 20));
        }
		for (int i=2;i<3;i++)
        {
            U.append(new atom(730, 20, 30, 40));
        }
		for (int i=3;i<maxAtoms;i++)
        {
            U.append(new atom(840, 40, 2, 7));
        }
    }
    /*________________________________
    ___________Main Loop____________*/
    public void loop()
    {
			//reset forces
            U = w.resetForce(U);

			//atom forces
			U = w.interAtomCollisionResponse(U);

			//world forces
			U = w.environmentalForce(U);
   
			//integrate
            U = w.integrate(U, deltaT);
   
			//hardcollision
			//termnialvelocity
			//velocitydrag
            U = w.boxCollisionDetectionResponse(U);
    }
    
    /*________________________________
    ___________draw_________________*/
    public void paint (Graphics g) 
    {
        //draw something
        g.setColor(Color.black);
        g.drawLine(400,60,500,60);
        g.drawString("World Test",502,64);

        for (int i=0; i<maxAtoms; i++)
        {
            pig.circle(g, U.atomLst[i].pos, U.atomLst[i].radius);
        }
        
        g.setColor(Color.blue);
        pig.rect(g, U.boxPos, U.boxSize);
    }
}
